# Module cargo::core::compiler::output_depinfo

source ·
Expand description

dep-info files for external build system integration. See `output_depinfo` for more.

## Functions

- add_deps_for_unit 🔒
  Collects all dependencies of the `unit` for the output dep info file.
- output_depinfo
  Save a `.d` dep-info file for the given unit. This is the third kind of dep-info mentioned in `fingerprint` module.
- render_filename 🔒
  Bacially just normalizes a given path and converts it to a string.